complexType "WeatherIndexData"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 11 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 11 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | referenceLevel?, dataProvider?, finalEditedData?, weatherStation?, weatherStationFallback?, weatherStationSecondFallback?, alternativeDataProvider?, synopticDataFallback?, adjustmentToFallbackWeatherStation?, primaryDisruptionFallbacks?, secondaryDisruptionFallbacks?
</...>

Content Model Elements (11):

  adjustmentToFallbackWeatherStation, alternativeDataProvider, dataProvider, finalEditedData, primaryDisruptionFallbacks, referenceLevel, secondaryDisruptionFallbacks, synopticDataFallback, weatherStation, weatherStationFallback, weatherStationSecondFallback

All Direct / Indirect Based Elements (2):

  weatherIndexData (in commodityOption), | weatherIndexData (in weatherLeg)

Known Usage Locations

- As direct type of elements (2):

  weatherIndexData (in commodityOption), | weatherIndexData (in weatherLeg)

XML Source (w/o annotations (11); see within schema source)

<xsd:complexType name="WeatherIndexData"> <xsd:sequence> <xsd:element minOccurs="0" name="referenceLevel" type="ReferenceLevel"/> <xsd:element minOccurs="0" name="dataProvider" type="DataProvider"/> <xsd:element minOccurs="0" name="finalEditedData" type="xsd:boolean"/> <xsd:element minOccurs="0" name="weatherStation" type="WeatherStation"/> <xsd:element minOccurs="0" name="weatherStationFallback" type="WeatherStation"/> <xsd:element minOccurs="0" name="weatherStationSecondFallback" type="WeatherStation"/> <xsd:element minOccurs="0" name="alternativeDataProvider" type="xsd:boolean"/> <xsd:element minOccurs="0" name="synopticDataFallback" type="xsd:boolean"/> <xsd:element minOccurs="0" name="adjustmentToFallbackWeatherStation" type="xsd:boolean"/> <xsd:element minOccurs="0" name="primaryDisruptionFallbacks" type="DisruptionFallback"/> <xsd:element minOccurs="0" name="secondaryDisruptionFallbacks" type="DisruptionFallback"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 11/11)
adjustmentToFallbackWeatherStation

  Type: | xsd:boolean, predefined, simple content

  The Weather Index Station from which data with which to apply the "Adjustement to Fallback Station Data" terms. See Section 11.20 of the 2005 ISDA Commodity Definitions.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="adjustmentToFallbackWeatherStation" type="xsd:boolean"/>

alternativeDataProvider

  Type: | xsd:boolean, predefined, simple content

  A provider of either temperature data or precipitation data specified by the parties in the related Confirmation. If the parties fail to specify an Alternative Data Provider, the "Fallback Data" Disruption Fallback will not apply.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="alternativeDataProvider" type="xsd:boolean"/>

dataProvider

  Type: | DataProvider, simple content

  The provider of either temperature data or precipitation data specified by the parties in the related Confirmation.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dataProvider" type="DataProvider"/>

finalEditedData

  Type: | xsd:boolean, predefined, simple content

  If specified by the parties to apply in the related Confirmation, Final Edited Data means that the parties will have recourse to Primary Disruption Fallbacks even if relevant data is available from the Data Provider, so long as such data is not published in its final edited form. Otherwise the parties will have recourse to Primary Disruption Fallbacks only if relevant data is unavailable from the Data Provider on a relevant day.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="finalEditedData" type="xsd:boolean"/>

primaryDisruptionFallbacks

  Type: | DisruptionFallback, simple content

  A list of actions available to the parties should a Primary Disruption Event occur. A Primary Disruption Event means if maximum or minimum temperature or precipitation data for a Missing Data Day is required to determine a Payment Amount then the maximum and/or minimum temperature or the daily precipitation for that day will be determined in accordance with the first applicable Primary Disruption Fallback.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="primaryDisruptionFallbacks" type="DisruptionFallback"/>

referenceLevel

  Type: | ReferenceLevel, complex content

  Reference level is the number of degree-days (in the case of HDD and CDD) or inches/millimeters (in the case of CPD) on which the differential is calculated. In the case of HDD it is the number of degree-days below this reference level. In the case of CDD it is the number of degree days above this reference level. In the case of CPD it is number of inches/millimeters above this reference level.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="referenceLevel" type="ReferenceLevel"/>

secondaryDisruptionFallbacks

  Type: | DisruptionFallback, simple content

  A list of actions available to the parties should a Secondary Disruption Event occur. A Primary Disruption Event means if maximum or minimum temperature or precipitation data for a Missing Data Day is required to determine a Payment Amount then the maximum and/or minimum temperature or the daily precipitation for that day will be determined in accordance with the first applicable Secondary Disruption Fallback.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="secondaryDisruptionFallbacks" type="DisruptionFallback"/>

synopticDataFallback

  Type: | xsd:boolean, predefined, simple content

  If the parties specify "Not Applicable", the "Synoptic Data" Disruption Fallback will not apply. Synoptic Data means that maximum and/or minimum temperature or daily precipitation at the location for the Missing Data Day will be the maxium and/or minimum temperature or daily precipitation for that day at the Location (Weather Index Station) which has not been subject to ultimate quality control, integrity or verification process.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="synopticDataFallback" type="xsd:boolean"/>

weatherStation

  Type: | WeatherStation, complex content

  The source or sources of weather index data specified by the parties in the related Confirmation. Examples include: AU-CBM (the Commonwealth Bureau of Meteorology in Australia) and CM-SMI (the Swiss Meteorological Institute).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="weatherStation" type="WeatherStation"/>

weatherStationFallback

  Type: | WeatherStation, complex content

  If weather index data is not available for the weather station specified by the parties in the related Confirmation, the first alternative Weather Index Station.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="weatherStationFallback" type="WeatherStation"/>

weatherStationSecondFallback

  Type: | WeatherStation, complex content

  If weather index data is neither available for the weather station specified by the parties in the related Confirmation nor the first alternative Weather Index Station, the second alternative Weather Index Station.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="weatherStationSecondFallback" type="WeatherStation"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.